#!/bin/bash
####### clash 安装脚本 #########
echo -e ''
echo -e "\033[32m==clash for OPNsense 一键安装脚本===\033[0m"

# 添加存储库 
echo -e ''
echo -e '添加存储库......'
fetch -o /usr/local/etc/pkg/repos/mimugmail.conf https://www.routerperformance.net/mimugmail.conf
/usr/local/etc/pkg/repos/mimugmail.conf

# 安装插件
echo -e '\安装插件......'
pkg install os-clash-maxit

# 设定目录变量
root=/usr/local

# 移动文件
echo -e '\n复制替换核心文件......'
cp mihomo-freebsd-amd64 $root/bin/clash
cp +TARGETS $root/opnsense/service/templates/OPNsense/Clash/
cp geoip.metadb $root/etc/clash/
cp rc $root/etc/rc.d/clash
cp -r ui $root/etc/clash/
echo -e ''

# 向/etc/rc.conf添加以下内容
echo -e '添加服务参数......'
sysrc clash_enable="YES"
# echo -e ''

# 赋予程序权限
echo -e '添加执行权限......'
chmod +x /usr/local/bin/clash
chmod +x /usr/local/etc/rc.d/clash
echo -e ' '
echo -e "\033[32m安装完成！\033[0m"

#  显示命令说明
echo -e '\n使用说明：'
echo -e "\033[32m进web界面，转到服务>clash，输入配置并保存。选中启用，然后点击右上角的启用服务即可。\033[0m"
echo -e ''